unit uSetup;

interface

uses Windows, SysUtils, Classes, Graphics, Forms, Controls, StdCtrls,
  Buttons, ExtCtrls;

type
  TFrmSetup = class(TForm)
    Label1: TLabel;
    Edit1: TEdit;
    BitBtn2: TBitBtn;
    BitBtn1: TBitBtn;
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  FrmSetup: TFrmSetup;

function GetSerial: String;

implementation

{$R *.DFM}

function GetSerial: String;
begin
  FrmSetup := TFrmSetup.Create(Application);
  FrmSetup.Edit1.Text:='';   
  try
    with FrmSetup do
      if ShowModal = mrOK then
        begin
          GetSerial:=Edit1.Text;
        end
      else GetSerial:='QUIT';
  finally
    FrmSetUp.Free;
  end;
end;

end.

